PatternConverter Class Referenceabstract
Inheritance diagram for PatternConverter:

## Public Member Functions

| DECLARE_ABSTRACT_LOG4CXX_OBJECT (PatternConverter)
| BEGIN_LOG4CXX_CAST_MAP ()
| LOG4CXX_CAST_ENTRY (PatternConverter)
| END_LOG4CXX_CAST_MAP ()
virtual void | format (const log4cxx::helpers::ObjectPtr &obj, LogString &toAppendTo, log4cxx::helpers::Pool &p) const =0
| Formats an object into a string buffer. More...
LogString | getName () const
| This method returns the name of the conversion pattern. More...
virtual LogString | getStyleClass (const log4cxx::helpers::ObjectPtr &e) const
| This method returns the CSS style class that should be applied to the LoggingEvent passed as parameter, which can be null. More...
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Protected Member Functions

| PatternConverter (const LogString &name, const LogString &style)
| Create a new pattern converter. More...
virtual | ~PatternConverter ()

## Static Protected Member Functions

static void | append (LogString &toAppendTo, const std::string &src)
| Appends content in the locale code page to a LogString. More...

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

PatternConverter is an abstract class that provides the formatting functionality that derived classes need.

Conversion specifiers in a conversion patterns are parsed to individual PatternConverters. Each of which is responsible for converting an object in a converter specific manner.

## Constructor & Destructor Documentation

PatternConverter | ( | const LogString & | name,
|  | const LogString & | style
| ) |  |

protected

Create a new pattern converter.

Parameters

  name | name for pattern converter.
  style | CSS style for formatted output.

virtual ~PatternConverter | ( |  | ) |

protected virtual

## Member Function Documentation

static void append | ( | LogString & | toAppendTo,
|  | const std::string & | src
| ) |  |

static protected

Appends content in the locale code page to a LogString.

Parameters

  toAppendTo | string to which content is appended.
  src | content.

BEGIN_LOG4CXX_CAST_MAP | ( |  | ) |

DECLARE_ABSTRACT_LOG4CXX_OBJECT | ( | PatternConverter |  | ) |

END_LOG4CXX_CAST_MAP | ( |  | ) |

virtual void format | ( | const log4cxx::helpers::ObjectPtr & | obj,
|  | LogString & | toAppendTo,
|  | log4cxx::helpers::Pool & | p
| ) |  | const

pure virtual

Formats an object into a string buffer.

Parameters

  obj | event to format, may not be null.
  toAppendTo | string buffer to which the formatted event will be appended. May not be null.
  p | pool for any allocations necessary during formatting.

Implemented in DatePatternConverter, LineSeparatorPatternConverter, LoggingEventPatternConverter, LiteralPatternConverter, and IntegerPatternConverter.

LogString getName | ( |  | ) | const

This method returns the name of the conversion pattern.

The name can be useful to certain Layouts such as HTMLLayout.

Returns
  the name of the conversion pattern

virtual LogString getStyleClass | ( | const log4cxx::helpers::ObjectPtr & | e | ) | const

virtual

This method returns the CSS style class that should be applied to the LoggingEvent passed as parameter, which can be null.

This information is currently used only by HTMLLayout.

Parameters

  e | null values are accepted

Returns
  the name of the conversion pattern

Reimplemented in LevelPatternConverter.

LOG4CXX_CAST_ENTRY | ( | PatternConverter |  | ) |

The documentation for this class was generated from the following file:

- patternconverter.h